# Add UK8S Node Pool - AddUK8SNodeGroup

## Overview

Add UK8S Node Pool






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `AddUK8SNodeGroup`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.scloudsg.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [List of Regions and Availability Zones](/docs/api/summary/regionlist) |**Yes**|
| **Zone** | string | Availability Zone. See [Availability Zone List](/docs/api/summary/regionlist) |No|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, sub-accounts must be filled in. Please refer to the [GetProjectList interface](/docs/api/summary/get_project_list). |No|
| **NodeGroupName** | string | Node Pool Name |**Yes**|
| **ClusterId** | string | Cluster ID |**Yes**|
| **ImageId** | string | Image ID |No|
| **MachineType** | string | Cloud host machine type. Enumeration values ["N", "C", "G", "O", "OS"]. Refer to [Cloud host machine type description](api/uhost-api/uhost_type). |No|
| **MinimalCpuPlatform** | string | Lowest CPU platform, enumeration values ["Intel/Auto", "Intel/IvyBridge", "Intel/Haswell", "Intel/Broadwell", "Intel/Skylake", "Intel/Cascadelake", "Intel/CascadelakeR", “Amd/Epyc2”, "Amd/Auto"], the default value is "Intel/Auto". |No|
| **CPU** | int | Number of GPU card cores. Only GPU models support this field (optional range related to MachineType+GpuType). |No|
| **Mem** | int | Memory size. Unit: MB |No|
| **GpuType** | string | GPU Type |No|
| **GPU** | int | Number of GPU Card Cores |No|
| **BootDiskType** | string | Disk Type |No|
| **DataDiskSize** | int | Data Disk Size |No|
| **DataDiskType** | string | Disk Type |No|
| **Tag** | string | Business Group |No|
| **ChargeType** | string | Billing Mode |No|
| **BootDiskSize** | int | System disk size, in GB. Default is 40. Range: [40, 500]. Please note that SSD local disk cannot be adjusted. |No|
| **SubnetId** | string | Subnet ID. The default is the subnet ID filled in when the cluster is created, or you can fill in the subnet ID within the same VPC as the cluster. |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **NodeGroupId** | string | Node Pool ID |**Yes**|




## Example

### Request Example
    
```
https://api.scloudsg.com/?Action=AddUK8SNodeGroup
&Region=cn-zj
&Zone=cn-zj-01
&ProjectId=erWPRmTL
&NodeGroupName=sDJQamTw
&ImageId=SErYualz
&MachineType=ulkHtgvq
&MinimalCpuPlatform=llOxqZiy
&CPU=2
&Mem=9
&GpuType=VHPlqtNm
&GPU=7
&BootDiskType=KLbRaYoT
&DataDiskSize=vNWywYIK
&DataDiskType=zdhEnXgA
&Tag=gsZPoUZG
&ChargeType=yhQCTlsM
&ClusterId=tzEjlYyc
&OrgId=8
&TopOrgId=2
&AzGroupId=6
&BootDiskSize=8
&SubnetId=ZASbmHVG
```

### Response Example
    
```json
{
  "Action": "AddUK8SNodeGroupResponse",
  "Message": "DMJPRigX",
  "NodeGroupId": "jXKZQgSU",
  "RetCode": 0
}
```





